Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354162 - [abrt] kf5-kinit: KCrash::defaultCrashHandler(int)(): kdeinit5 killed by SIGSEGV
Summary: [abrt] kf5-kinit: KCrash::defaultCrashHandler(int)(): kdeinit5 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kf5-kinit
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:faaadffffa7d3260042c0378b74...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-10 08:50 UTC by Mustafa Muhammad
Modified: 2017-12-12 10:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:32:33 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-10 08:50 UTC, Mustafa Muhammad
no flags Details
File: cgroup (deleted)
2016-07-10 08:50 UTC, Mustafa Muhammad
no flags Details
File: core_backtrace (deleted)
2016-07-10 08:50 UTC, Mustafa Muhammad
no flags Details
File: dso_list (deleted)
2016-07-10 08:50 UTC, Mustafa Muhammad
no flags Details
File: environ (deleted)
2016-07-10 08:50 UTC, Mustafa Muhammad
no flags Details
File: limits (deleted)
2016-07-10 08:50 UTC, Mustafa Muhammad
no flags Details
File: maps (deleted)
2016-07-10 08:50 UTC, Mustafa Muhammad
no flags Details
File: mountinfo (deleted)
2016-07-10 08:50 UTC, Mustafa Muhammad
no flags Details
File: namespaces (deleted)
2016-07-10 08:50 UTC, Mustafa Muhammad
no flags Details
File: open_fds (deleted)
2016-07-10 08:50 UTC, Mustafa Muhammad
no flags Details
File: proc_pid_status (deleted)
2016-07-10 08:50 UTC, Mustafa Muhammad
no flags Details
File: var_log_messages (deleted)
2016-07-10 08:50 UTC, Mustafa Muhammad
no flags Details

Description Mustafa Muhammad 2016-07-10 08:50:03 UTC
Version-Release number of selected component:
kf5-kinit-5.24.0-1.fc25

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        'kded5 [kdeinit5]' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/kdeinit5
global_pid:     1285
kernel:         4.7.0-0.rc6.git2.2.fc25.x86_64
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (1 frames)
 #1 KCrash::defaultCrashHandler(int) at /usr/src/debug/kcrash-5.24.0/src/kcrash.cpp:431

Potential duplicate: bug 1293165

Comment 1 Mustafa Muhammad 2016-07-10 08:50:07 UTC
Created attachment 1178024 [details]
File: backtrace

Comment 2 Mustafa Muhammad 2016-07-10 08:50:08 UTC
Created attachment 1178025 [details]
File: cgroup

Comment 3 Mustafa Muhammad 2016-07-10 08:50:10 UTC
Created attachment 1178026 [details]
File: core_backtrace

Comment 4 Mustafa Muhammad 2016-07-10 08:50:12 UTC
Created attachment 1178027 [details]
File: dso_list

Comment 5 Mustafa Muhammad 2016-07-10 08:50:13 UTC
Created attachment 1178028 [details]
File: environ

Comment 6 Mustafa Muhammad 2016-07-10 08:50:15 UTC
Created attachment 1178029 [details]
File: limits

Comment 7 Mustafa Muhammad 2016-07-10 08:50:17 UTC
Created attachment 1178030 [details]
File: maps

Comment 8 Mustafa Muhammad 2016-07-10 08:50:19 UTC
Created attachment 1178031 [details]
File: mountinfo

Comment 9 Mustafa Muhammad 2016-07-10 08:50:20 UTC
Created attachment 1178032 [details]
File: namespaces

Comment 10 Mustafa Muhammad 2016-07-10 08:50:22 UTC
Created attachment 1178033 [details]
File: open_fds

Comment 11 Mustafa Muhammad 2016-07-10 08:50:23 UTC
Created attachment 1178034 [details]
File: proc_pid_status

Comment 12 Mustafa Muhammad 2016-07-10 08:50:25 UTC
Created attachment 1178035 [details]
File: var_log_messages

Comment 13 Jan Kurik 2016-07-26 04:42:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 14 Michal Smolak 2017-01-19 21:40:39 UTC
Similar problem has been detected:

after login

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        'kded5 [kdeinit5]' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/kdeinit5
global_pid:     1804
kernel:         4.6.7-300.fc24.x86_64
package:        kf5-kinit-5.29.0-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         kdeinit5 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Fedora End Of Life 2017-11-16 14:52:20 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-12-12 10:32:33 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.